Loading...
Searching...
No Matches
pappso::PpmPrecision Class Reference

`#include <precision.h>`

Inheritance diagram for pappso::PpmPrecision:

## Public Member Functions

virtual | ~PpmPrecision ()
virtual Enums::PrecisionUnit | unit () const override
virtual pappso_double | delta (pappso_double value) const override
virtual QString | toString () const override
Public Member Functions inherited from pappso::PrecisionBase
virtual pappso_double | getNominal () const final

## Protected Member Functions

| PpmPrecision (pappso_double x)
Protected Member Functions inherited from pappso::PrecisionBase
| PrecisionBase (pappso_double nominal)

## Friends

class | PrecisionFactory

## Additional Inherited Members

Protected Attributes inherited from pappso::PrecisionBase
const pappso_double | m_nominal

## Detailed Description

Definition at line 83 of file precision.h.

## Constructor & Destructor Documentation

## PpmPrecision()

pappso::PpmPrecision::PpmPrecision | ( | pappso_double | x | ) |

protected

Definition at line 270 of file precision.cpp.

: PrecisionBase(x)
{
}
pappso::PrecisionBase::PrecisionBase
PrecisionBase(pappso_double nominal)
Definition precision.h:48
pappso::PeptideIonCter::x
@ x
Definition peptide.h:92

References pappso::PrecisionBase::PrecisionBase().

Referenced by PrecisionFactory.

## ~PpmPrecision()

pappso::PpmPrecision::~PpmPrecision | ( |  | ) |

virtual

Definition at line 275 of file precision.cpp.

{
}

## Member Function Documentation

## delta()

pappso_double pappso::PpmPrecision::delta | ( | pappso_double | value | ) | const

override virtual

Implements pappso::PrecisionBase.

Definition at line 287 of file precision.cpp.

{
return ((value / ONEMILLION) * m_nominal);
}
pappso::PrecisionBase::m_nominal
const pappso_double m_nominal
Definition precision.h:46
pappso::ONEMILLION
const pappso_double ONEMILLION(1000000)

References pappso::PrecisionBase::m_nominal, and pappso::ONEMILLION().

Referenced by PrecisionFactory.

## toString()

QString pappso::PpmPrecision::toString | ( |  | ) | const

override virtual

Implements pappso::PrecisionBase.

Definition at line 294 of file precision.cpp.

{
return (QString("%1 ppm").arg(m_nominal));
}

References pappso::PrecisionBase::m_nominal.

Referenced by PrecisionFactory.

## unit()

Enums::PrecisionUnit pappso::PpmPrecision::unit | ( |  | ) | const

override virtual

Implements pappso::PrecisionBase.

Definition at line 280 of file precision.cpp.

{
return Enums::PrecisionUnit::ppm;
}
pappso::Enums::PrecisionUnit::ppm
@ ppm
Definition types.h:99

References pappso::Enums::ppm.

Referenced by PrecisionFactory.

## Friends And Related Symbol Documentation

## PrecisionFactory

friend class PrecisionFactory

friend

Definition at line 85 of file precision.h.

References PpmPrecision(), delta(), PrecisionFactory, toString(), and unit().

Referenced by PrecisionFactory.

The documentation for this class was generated from the following files:

- pappsomspp/core/precision.h
- pappsomspp/core/precision.cpp